[arch-commits] Commit in openbox/trunk (PKGBUILD openbox.install which-2.20.patch)

Andrea Scarpino andrea at archlinux.org
Sat Oct 3 13:34:54 UTC 2009


    Date: Saturday, October 3, 2009 @ 09:34:54
  Author: andrea
Revision: 53829

upgpkg: openbox 3.4.7.2-3
    FS#11455, FS#13911, FS#15669

Added:
  openbox/trunk/which-2.20.patch
Modified:
  openbox/trunk/PKGBUILD
  openbox/trunk/openbox.install

------------------+
 PKGBUILD         |   27 +++++++++++++++++++--------
 openbox.install  |   23 +++--------------------
 which-2.20.patch |   53 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 75 insertions(+), 28 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-10-03 13:33:28 UTC (rev 53828)
+++ PKGBUILD	2009-10-03 13:34:54 UTC (rev 53829)
@@ -1,10 +1,11 @@
 # $Id$
-# Maintainer: tobias <tobias at archlinux.org>
+# Maintainer: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: tobias <tobias at archlinux.org>
 # Contributor: Sarah Hay <sarahhay at mb.sympatico.ca>
 
 pkgname=openbox
 pkgver=3.4.7.2
-pkgrel=2
+pkgrel=3
 pkgdesc="A window manager for the X11 windowing system"
 arch=(i686 x86_64)
 license=('GPL')
@@ -12,18 +13,28 @@
          'libxcursor' 'pango')
 optdepends=('pyxdg: for the xdg-autostart script')
 url="http://icculus.org/openbox"
+groups=('lxde')
 install=openbox.install
 options=('!libtool')
 backup=('usr/etc/xdg/openbox/menu.xml' 'usr/etc/xdg/openbox/rc.xml')
-source=(http://www.icculus.org/openbox/releases/${pkgname}-${pkgver}.tar.gz)
-md5sums=('9e7589e90519bc6ac2f4656ea6869439')
+source=(http://www.icculus.org/openbox/releases/${pkgname}-${pkgver}.tar.gz
+	'which-2.20.patch')
+md5sums=('9e7589e90519bc6ac2f4656ea6869439'
+         'b72cac492e0ed83fd5ced9c1263cfa24')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr --with-x \
-    --enable-startup-notification --sysconfdir=/etc
+  cd ${srcdir}/${pkgname}-${pkgver}
+
+  #FS#11455
+  patch -Np1 -i ${srcdir}/which-2.20.patch || return 1
+
+  ./configure --prefix=/usr \
+    --with-x \
+    --enable-startup-notification \
+    --sysconfdir=/etc
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${pkgdir} install
+
   sed -i "s:startkde:/usr/bin/\0:" ${startdir}/pkg/usr/share/xsessions/openbox-kde.desktop
   sed -i "s:=gnome-session:=/usr/bin/gnome-session:" ${startdir}/pkg/usr/share/xsessions/openbox-gnome.desktop
 }

Modified: openbox.install
===================================================================
--- openbox.install	2009-10-03 13:33:28 UTC (rev 53828)
+++ openbox.install	2009-10-03 13:34:54 UTC (rev 53829)
@@ -1,26 +1,9 @@
-# arg 1:  the new package version
 post_install() {
-    echo "Place menu.xml and rc.xml in ~/.config/openbox"
-    echo "They can both be found in /etc/xdg/openbox"
-    /bin/true
+    echo "Place menu.xml, rc.xml and autostart.sh in ~/.config/openbox"
+    echo "They can be found in /etc/xdg/openbox"
 }
 
-# arg 1:  the new package version
-# arg 2:  the old package version
 post_upgrade() {
-  post_install $1
+  post_install
 }
 
-# arg 1:  the old package version
-pre_remove() {
-  /bin/true
-}
-
-# arg 1:  the old package version
-post_remove() {
-  /bin/true
-}
-
-op=$1
-shift
-$op $*

Added: which-2.20.patch
===================================================================
--- which-2.20.patch	                        (rev 0)
+++ which-2.20.patch	2009-10-03 13:34:54 UTC (rev 53829)
@@ -0,0 +1,53 @@
+--- openbox-3.4.7.2/data/autostart.sh.in~	2009-10-03 15:24:20.856675350 +0200
++++ openbox-3.4.7.2/data/autostart.sh.in	2009-10-03 15:28:34.543315964 +0200
+@@ -3,13 +3,13 @@
+ 
+ # Set a background color
+ BG=""
+-if which hsetroot >/dev/null; then
++if which hsetroot >/dev/null 2>&1; then
+     BG=hsetroot
+ else
+-    if which esetroot >/dev/null; then
++    if which esetroot >/dev/null 2>&1; then
+ 	BG=esetroot
+     else
+-	if which xsetroot >/dev/null; then
++	if which xsetroot >/dev/null 2>&1; then
+ 	    BG=xsetroot
+ 	fi
+     fi
+@@ -17,28 +17,28 @@
+ test -z $BG || $BG -solid "#303030"
+ 
+ # D-bus
+-if which dbus-launch >/dev/null && test -z "$DBUS_SESSION_BUS_ADDRESS"; then
++if which dbus-launch >/dev/null 2>&1 && test -z "$DBUS_SESSION_BUS_ADDRESS"; then
+        eval `dbus-launch --sh-syntax --exit-with-session`
+ fi
+ 
+ # Make GTK apps look and behave how they were set up in the gnome config tools
+ if test -x /usr/libexec/gnome-settings-daemon >/dev/null; then
+   /usr/libexec/gnome-settings-daemon &
+-elif which gnome-settings-daemon >/dev/null; then
++elif which gnome-settings-daemon >/dev/null 2>&1; then
+   gnome-settings-daemon &
+ # Make GTK apps look and behave how they were set up in the XFCE config tools
+-elif which xfce-mcs-manager >/dev/null; then
++elif which xfce-mcs-manager >/dev/null 2>&1; then
+   xfce-mcs-manager n &
+ fi
+ 
+ # Preload stuff for KDE apps
+-if which start_kdeinit >/dev/null; then
++if which start_kdeinit >/dev/null 2>&1; then
+   LD_BIND_NOW=true start_kdeinit --new-startup +kcminit_startup &
+ fi
+ 
+ # Run XDG autostart things.  By default don't run anything desktop-specific
+ # See xdg-autostart --help more info
+ DESKTOP_ENV=""
+-if which @secretbindir@/xdg-autostart >/dev/null; then
++if which @secretbindir@/xdg-autostart >/dev/null 2>&1; then
+   @secretbindir@/xdg-autostart $DESKTOP_ENV
+ fi




More information about the arch-commits mailing list